Bug 1477892 - Pitivi cannot render
Pitivi cannot render
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pitivi (Show other bugs)
26
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-03 03:16 EDT by Yajo
Modified: 2018-05-29 07:40 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:40:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The project and render settings (103.24 KB, image/png)
2017-08-03 03:16 EDT, Yajo
no flags Details

  None (edit)
Description Yajo 2017-08-03 03:16:18 EDT
Created attachment 1308592 [details]
The project and render settings

Description of problem:
Cannot render project

Version-Release number of selected component (if applicable):
pitivi-0.98.1-1.fc26.x86_64

How reproducible:
See steps.

Steps to Reproduce:
1. Recorded 2 videos in mp4
2. Added them to a project
3. Trimmed one of them, added a transition. Very simple project.
4. Press render, use supported codecs.

Actual results:
"Rendering" dialog appears, but the bar never gets filled. It gets stuck in "Initializing" phase.


Expected results:
Rendering could be slow, but something should get done after a few hours!

Additional info:
Logs when opening from terminal:
(pitivi:19056): Gtk-WARNING **: Allocating size to GtkScrollbar 0x559daab61040 without calling gtk_widget_get_preferred_width/height(). How does the code know the size to allocate?

(pitivi:19056): Gtk-WARNING **: Allocating size to GtkScrollbar 0x559daab60e40 without calling gtk_widget_get_preferred_width/height(). How does the code know the size to allocate?

(pitivi:19056): Gtk-WARNING **: Allocating size to GtkScrollbar 0x559daab61040 without calling gtk_widget_get_preferred_width/height(). How does the code know the size to allocate?

(pitivi:19056): Gtk-WARNING **: Allocating size to GtkScrollbar 0x559daab60e40 without calling gtk_widget_get_preferred_width/height(). How does the code know the size to allocate?

(pitivi:19056): Gtk-WARNING **: Allocating size to GtkScrollbar 0x559daab61040 without calling gtk_widget_get_preferred_width/height(). How does the code know the size to allocate?

(pitivi:19056): Gtk-WARNING **: Allocating size to GtkScrollbar 0x559daab60e40 without calling gtk_widget_get_preferred_width/height(). How does the code know the size to allocate?
/usr/lib64/python3.6/site-packages/matplotlib/cbook.py:136: MatplotlibDeprecationWarning: The axisbg attribute was deprecated in version 2.0. Use facecolor instead.
  warnings.warn(message, mplDeprecation, stacklevel=1)

(pitivi:19056): Gtk-WARNING **: Allocating size to GtkScrollbar 0x559daab61040 without calling gtk_widget_get_preferred_width/height(). How does the code know the size to allocate?

(pitivi:19056): Gtk-WARNING **: Allocating size to GtkScrollbar 0x559daab60e40 without calling gtk_widget_get_preferred_width/height(). How does the code know the size to allocate?

(pitivi:19056): GStreamer-CRITICAL **: gst_mini_object_unref: assertion 'mini_object->refcount > 0' failed
Comment 1 Gwyn Ciesla 2017-08-08 13:10:18 EDT
It seems only to hang for me with output audio==Opus.  Does this fix it for you?
Comment 2 Yajo 2017-08-09 03:18:08 EDT
Indeed, it worked fine with vorbis!
Comment 3 Gwyn Ciesla 2017-08-09 10:28:40 EDT
Does installing opus-tools help?
Comment 4 Yajo 2017-08-10 04:20:27 EDT
Not, still happening.
Comment 5 Peter Lemenkov 2018-04-04 11:38:53 EDT
Gtk-WARNING messages are mostly harmless. This is a bug 1488249 (old GTK bug).
Comment 6 Fedora End Of Life 2018-05-03 03:53:57 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2018-05-29 07:40:21 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.